import java.util.Random;

/**
 * @author nianchang
 * @ClassName Arithmetic
 * @date 2021/12/09 4:03 下午
 */
public class Arithmetic {

    public static void main(String[] args) {
        Random random = new Random();
        for (int i = 0; i < 100; i++) {
            int data = random.nextInt(100000);
            String s = data + "URNI@D#RE#E#E#E#";
            test1(s);
            test2(s);
        }
    }

    private static void test1(String s) {
        System.out.println("test1:" + (s.hashCode() & 11));
    }

    private static void test2(String s) {
        System.out.println("test2:" + (s.hashCode() & 15));
    }
}
